<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />

<?php
session_start();
if (isset($_GET['s'])) {
$s = $_GET['s'];
$_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 3 ) {
$pagetitle = "3oυ Γραφείου!!!";
include('../../divs/header.php');
} else {
require_once('../../login/login_functions.inc.php');
$url = absolute_url('../../login/login.php');
header("Location: $url");
exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

      <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
    <?php
    echo'<h1> <p align="center">Σχολεία Εκπαίδευσης</p></h1>';
$display=5;
   require_once ('../../mysqli_connect.php');
    if (isset($_GET['p'])&& is_numeric($_GET['p'])){
    $pages = $_GET['p'];
    }else{
    $q = "select count(id) from sholeio";
    $r = mysqli_query($dbc, $q);
    $row = @mysqli_fetch_array($r, MYSQLI_NUM);
    $records = $row[0];
    if($records>$display){
    $pages = ceil($records/$display);
    }else{
    $pages = 1;
    }
    }
    if (isset($_GET['st'])&& is_numeric($_GET['st'])){
    $start = $_GET['st'];
    }else{
    $start = 0;
    }
    $sort = (isset($_GET['sort']))?$_GET['sort']:'rd';
    switch ($sort){
    case 'id':
    $order_by = 'id ASC';
    break;
    case 'idr':
    $order_by = 'id DESC';
    break;
    case 'nm':
    $order_by = 'name ASC';
    break;
    case 'nmr':
    $order_by = 'name DESC';
    break;
    case 'dk':
    $order_by = 'diarkeia ASC';
    break;
    case 'dkr':
    $order_by = 'diarkeia DESC';
    break;
    case 'yp':
    $order_by = 'ypohreotiko ASC';
    break;
    case 'ypr':
    $order_by = 'ypohreotiko DESC';
    break;
    case 'mon':
    $order_by = 'monadaorganoshs ASC';
    break;
    case 'monr':
    $order_by = 'monadaorganoshs DESC';
    break;
    default:
    $order_by = 'id ASC';
    $sort = 'id';
    break;
    }
    
    $q = "select * from sholeio order by $order_by limit $start,$display";
    $r = mysqli_query($dbc, $q);
    $q1 = "select * from sholeio";
    $r1 = mysqli_query($dbc, $q1);

    if ($r){
    $num = mysqli_num_rows($r1);
    if ($num > 0) {
            $sort_id = ($sort == 'id') ? 'idr' : 'id';
            $sort_nm = ($sort == 'nm') ? 'nmr' : 'nm';
            $sort_dk = ($sort == 'dk') ? 'dkr' : 'dk';
            $sort_yp = ($sort == 'yp') ? 'ypr' : 'yp';
            $sort_mon =($sort == 'mon') ? 'monr' : 'mon';

    echo 'Έχουν καταχωρηθεί ' . $num . ' Σχολεία Εκπαίδευσης μέχρι στιγμής!
  <br/>
  <br/>
<table align="center" cellspacing="3" cellpadding="3" width="100%">
<tr>
      <td align="center"><h3><b>Επεξεργασία</b></h3></td>
      <td align="center"><h3><b>Διαγραφή</b></h3></td>
      <td align="center"><h3><b><a href="sxoleia.php?sort='.$sort_id.'">Κωδικός</a></b></h3></td>
      <td align="center"><h3><b><a href="sxoleia.php?sort=' . $sort_nm . '">Ονομασία</a></b></h3></td>
      <td align="center"><h3><b><a href="sxoleia.php?sort=' . $sort_dk . '">Διάρκεια(Εβδομάδες)</a></b></h3></td>
      <td align="center"><h3><b><a href="sxoleia.php?sort=' . $sort_yp . '">Βασικό</a></b></h3></td>
      <td align="center"><h3><b><a href="sxoleia.php?sort=' . $sort_mon . '">Διοργανωτής</a></b></h3></td>
</tr>
';
    $bg = '#eeeeee';
    while ($row = mysqli_fetch_array($r, MYSQLI_BOTH)) {
    $bg = ($bg=='#eeeeee'?'#ffffff':'#eeeeee');
    
    echo '
     <tr bgcolor="'.$bg.'">
            <td align="center"><a href="sedit.php?id=' . $row[0] . '">Επεξεργασία</a></td>
            <td align="center"><a href="sdelete.php?id=' . $row[0] . '">Διαγραφή</a></td>
            <td align="center">'. $row[0] . '</td>
            <td align="center">'. $row[1] . '</td>
            <td align="center">' . $row[2] . '</td>
            <td align="center">' . $row[3] . '</td>
            <td align="center">' . $row[4] . '</td>
                

     </tr>          
   
';

    }

    echo '</table> ';
    mysqli_free_result($r);

    } else {
    echo '<p class="error">Δεν υπάρχουν καταχωρημένα σχολεία εκπαίδευσης προς το παρών!</p>';
    }
    mysqli_close($dbc);
    if($pages>1){
    echo'<br/><p>';
    $current_page = ($start/$display)+1;
    if ($current_page!=1){
    echo '<a href="sxoleia.php?st='.($start-$display).'&p='.$pages. '&sort='.$sort.'">Προηγούμενη&nbsp</a>';
    }
    for ($i = 1;$i<=$pages;$i++){
    if($i!=$current_page){
    echo '<a href="sxoleia.php?st='.(($display*($i-1))).'&p='.$pages.'&sort='.$sort.'">'.$i.'&nbsp</a>';
    }else{
    echo ' '.$i.' ';
    }
    }
    if($current_page!=$pages){
    echo '<a href="sxoleia.php?st='.($start+$display).'&p='.$pages.'&sort='.$sort.'">&nbspΕπόμενη</a>';
    }
    echo '</p>';
    }
echo'  <br/><br/><p><h4><a href="sprosthiki.php">Προσθέστε ένα Σχολείο Εκπαίδευσης</a></h4></p>';


    }else{
    echo '<h1>Πρόβλημα Συστήματος<h1>
<p class="error"> Δεν μπορείτε να δείτε τον κατάλογο με τα σχολεία λόγω κάποιου τεχνικού προβλήματος.</p>';
                    echo '<p>' . mysqli_error($dbc) . '<br/><br/>Query:' . $q . '</p>';
                    mysqli_close($dbc);
    }
    

    
    ?>  


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>